﻿'___________________________________________________________

'              SHOWING IMAGES FROM AN ACCESS 97 DATABASE
'                                          Ron Kessler
'                                            8/12/2010
'___________________________________________________________

Public Class frmAccess2007Version

    Private Sub frmAccess97Version_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        Me.InventoryTableAdapter.Fill(Me.InventoryDS97Version.Inventory)

    End Sub

    Private Sub InventoryBindingNavigatorSaveItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles InventoryBindingNavigatorSaveItem.Click
        Me.Validate()
        Me.InventoryBindingSource.EndEdit()
        Me.TableAdapterManager.UpdateAll(Me.InventoryDS97Version)

    End Sub

    Private Sub frmAccess97Version_Activated(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Activated
        '---force nav bar to select first record
        Me.InventoryBindingNavigator.MoveFirstItem.PerformClick()

        '---get the name of the image from the selected row (row 1)
        Dim myImage As String = InventoryDataGridView.CurrentRow.Cells(3).Value.ToString

        '---now display it
        PictureBox1.ImageLocation = "..\..\images\" & myImage
    End Sub

#Region "Update DB"
    Private Sub UpdateDB()
        '---tell the binding source we are done editing
        Me.InventoryBindingSource.EndEdit()
        Try
            '---update everything in DB
            Me.InventoryTableAdapter.Update(Me.InventoryDS97Version.Inventory)
            MessageBox.Show("Your database has been updated")


        Catch ex As Exception
            MessageBox.Show("An error occurred while updating this record. " & ex.Message, "Mr. Grid Error", _
                           MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try

    End Sub
#End Region

#Region "Select a row"
    Private Sub InventoryDataGridView_CellClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles InventoryDataGridView.CellClick
        '---grab the name of the image from column 4
        Dim myImage As String = InventoryDataGridView.CurrentRow.Cells(3).Value.ToString
        PictureBox1.ImageLocation = "..\..\images\" & myImage

    End Sub
#End Region


#Region "Confirm Delete"

    Private Sub BindingNavigatorDeleteItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BindingNavigatorDeleteItem.Click
        '---confirm delete
        '*****To make this work, set the DeleteItem property of the BindingNavigator to none*****

        Try
            If (MessageBox.Show("Are you sure you want to delete this item?", _
                                "Please Confirm delete", MessageBoxButtons.YesNo, MessageBoxIcon.Question, _
                                MessageBoxDefaultButton.Button2)) = Windows.Forms.DialogResult.Yes Then

                If InventoryBindingSource.Count > 0 Then             'make sure there are records in the dataset
                    InventoryBindingSource.RemoveCurrent()          'removes the selected item in the list of records
                    UpdateDB()                                                       'save changes and refresh the grid
                End If

            End If

        Catch ex As Exception
            MessageBox.Show("An error occurred while deleting this record. " & ex.Message, "Mr. Grid Error", _
                            MessageBoxButtons.OK, MessageBoxIcon.Error)

        End Try
    End Sub
#End Region

End Class