﻿'___________________________________________________________

'              SHOWING IMAGES FROM AN ACCESS DATABASE
'                                          Ron Kessler
'                                            8/9/2010
'___________________________________________________________

'OK, you wanted to know how to show an image when they click on a record. I cannot get the Windows Grid
'to display it like the ASP grid will. So, the next best thing is to display the image in a picture box.

'Using the InventoryWithImages.mdb db, create a datasource like you have done before. Do not dock the grid this time.
'Leave room for a Picturebox control. Set the picturebox's sizemode = zoom.

'Adjust the grid so all the fields show. In the last column you will see the name of the image. Images are in my \images
'folder in the solution.

'You can make this column invisible: edit columns | image column | visible = false

'I also removed the add button on the toolbar because it makes not sense to add items without a picture. To do that,
'click on the nav bar | Properties | Items collection | remove the add button.

'To make the first image display when the program starts:
'   Create a Form_Activated event handler
'   Tell the nav bar to move to the first item
'   Get the name of the image in row 1
'   Pass this name to the pisturebox.ImageLocation property (the url)

'Create a CellClick event for Mr. Grid
'   Look at my code. I just get the name of the object from the selected row, column 3 (they are numbered from 0)
'   and pass it to the picturebox

'I made the images 300 x 300px in Photoshop to limit their size.

Public Class frmInventory
#Region "Form Load"
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        Me.InventoryTableAdapter.Fill(Me.InventoryWithImagesDataSet.Inventory)

    End Sub
#End Region

#Region "Form Activated"
    Private Sub Form1_Activated(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Activated
        '---force nav bar to select first record
        Me.InventoryBindingNavigator.MoveFirstItem.PerformClick()

        '---get the name of the image from the selected row (row 1)
        Dim myImage As String = InventoryDataGridView.CurrentRow.Cells(3).Value.ToString

        '---now display it
        PictureBox1.ImageLocation = "..\..\images\" & myImage
    End Sub

#End Region

#Region "Save Item"
    Private Sub InventoryBindingNavigatorSaveItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles InventoryBindingNavigatorSaveItem.Click
        '---update db records
        UpdateDB()
    End Sub
#End Region

#Region "Select a row"
    Private Sub InventoryDataGridView_CellClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles InventoryDataGridView.CellClick
        '---grab the name of the image from column 4
        Dim myImage As String = InventoryDataGridView.CurrentRow.Cells(3).Value.ToString
        PictureBox1.ImageLocation = "..\..\images\" & myImage

    End Sub
#End Region

#Region "Confirm Delete"

    Private Sub BindingNavigatorDeleteItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BindingNavigatorDeleteItem.Click
        '---confirm delete
        '*****To make this work, set the DeleteItem property of the BindingNavigator to none*****

        Try
            If (MessageBox.Show("Are you sure you want to delete this item?", _
                                "Please Confirm delete", MessageBoxButtons.YesNo, MessageBoxIcon.Question, _
                                MessageBoxDefaultButton.Button2)) = Windows.Forms.DialogResult.Yes Then

                If InventoryBindingSource.Count > 0 Then             'make sure there are records in the dataset
                    InventoryBindingSource.RemoveCurrent()          'removes the selected item in the list of records
                    UpdateDB()                                                       'save changes and refresh the grid
                End If

            End If

        Catch ex As Exception
            MessageBox.Show("An error occurred while deleting this record. " & ex.Message, "Mr. Grid Error", _
                            MessageBoxButtons.OK, MessageBoxIcon.Error)

        End Try
    End Sub
#End Region

#Region "Update DB"
    Private Sub UpdateDB()
        '---tell the binding source we are done editing
        Me.InventoryBindingSource.EndEdit()
        Try
            '---update everything in DB
            Me.InventoryTableAdapter.Update(Me.InventoryWithImagesDataSet.Inventory)
            MessageBox.Show("Your database has been updated")


        Catch ex As Exception
            MessageBox.Show("An error occurred while updating this record. " & ex.Message, "Mr. Grid Error", _
                           MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try

    End Sub
#End Region
End Class
